## Class TSimpleDynamicSql

Description

TSimpleDynamicSql class.

- since: 3.1
- version: $Id: TSimpleDynamicSql.php 1568 2006-12-09 09:17:22Z wei $
- author: Wei Zhuo <weizho[at]gmail[dot]com>

Located in /Data/SqlMap/Statements/TSimpleDynamicSql.php (line 21)

    TComponent
       |
       --TStaticSql
          |
          --TSimpleDynamicSql

Method Summary
TSimpleDynamicSql __construct (mixed $mappings)
void getPreparedStatement ([mixed $parameter = null])
void mapDynamicParameter (mixed $statement, mixed $parameter)
Methods
Constructor __construct (line 25)

- access: public

TSimpleDynamicSql __construct (mixed $mappings)
getPreparedStatement (line 30)

- access: public

void getPreparedStatement ([mixed $parameter = null])

Redefinition of:

TStaticSql::getPreparedStatement()

mapDynamicParameter (line 38)

- access: protected

void mapDynamicParameter (mixed $statement, mixed $parameter)

#### Inherited Methods

Inherited From TStaticSql

> TStaticSql::buildPreparedStatement()
> TStaticSql::getPreparedStatement()

Inherited From TComponent

> TComponent::addParsedObject()
> TComponent::attachEventHandler()
> TComponent::canGetProperty()
> TComponent::canSetProperty()
> TComponent::createdOnTemplate()
> TComponent::detachEventHandler()
> TComponent::evaluateExpression()
> TComponent::evaluateStatements()
> TComponent::getEventHandlers()
> TComponent::getSubProperty()
> TComponent::hasEvent()
> TComponent::hasEventHandler()
> TComponent::hasProperty()
> TComponent::raiseEvent()
> TComponent::setSubProperty()
> TComponent::__get()
> TComponent::__set()

Documentation generated on Mon, 21 Apr 2008 11:36:12 -0400 by phpDocumentor 1.3.0RC4